Groovy Documentation

## groovy.swing.factory
[Groovy] Class ComponentFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.BeanFactory
              groovy.swing.factory.ComponentFactory

    class ComponentFactory
    extends BeanFactory

Field Summary

Fields inherited from class BeanFactory
leaf

Constructor Summary
`ComponentFactory(java.lang.Class beanClass)`
`ComponentFactory(java.lang.Class beanClass, boolean leaf)`

Method Summary
`void` | `setChild(FactoryBuilderSupport builder, java.lang.Object parent, java.lang.Object child)`

Methods inherited from class BeanFactory
isLeaf, newInstance

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ComponentFactory

    ComponentFactory(java.lang.Class beanClass)

### ComponentFactory

    ComponentFactory(java.lang.Class beanClass, boolean leaf)

Method Detail

### setChild

    void setChild(FactoryBuilderSupport builder, java.lang.Object parent, java.lang.Object child)

Groovy Documentation